local core = LibStub("AceAddon-3.0"):GetAddon("tomQuest2")
local module = core:NewModule("tagQuestLog","AceEvent-3.0", "AceHook-3.0")
local LTQL = LibStub("AceLocale-3.0"):GetLocale("tomQuest2-TagQuestLog")

module.modName = LTQL["Quest Log Tag"]
function module:OnEnable()
	self:SecureHook("QuestLog_Update")
end

function module:QuestLog_Update()
	local offset = FauxScrollFrame_GetOffset(QuestLogListScrollFrame)
	for i = 1, QUESTS_DISPLAYED, 1 do
		local index = offset + i
		if index > core.numEntries then break end
		local titleLine = _G["QuestLogTitle"..i]
		if titleLine then
			local uid = core.questsIdToUid[i+offset]
			if uid and core.quests[uid] then
				local tag = _G["QuestLogTitle"..i.."Tag"]
				if core.quests[uid].party[core.playerName].complete == 0 then
					tag:SetText("")
				end
				titleLine:SetText(core.quests[uid].taggedName)
				QuestLogDummyText:SetText(core.quests[uid].taggedName)
				_G["QuestLogTitle"..i.."NormalText"]:SetWidth(min(QuestLogDummyText:GetWidth(), QuestLogListScrollFrame:GetWidth() - tag:GetWidth() - 15))
				local check = _G["QuestLogTitle" .. i .. "Check"]
				if check:IsVisible() then
					check:SetPoint("RIGHT", titleLine, "LEFT")
				end
			end
		end
	end
end